ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.108 by ayin, Fri Jul 27 10:09:39 2007 UTC vs.
Revision 1.112 by sasha, Wed Sep 12 21:06:07 2007 UTC

687X_CFLAGS 687X_CFLAGS
688X_PRE_LIBS 688X_PRE_LIBS
689X_LIBS 689X_LIBS
690X_EXTRA_LIBS 690X_EXTRA_LIBS
691afterimage_config 691afterimage_config
692XPM_CPPFLAGS
693XPM_CFLAGS
694XPM_LIBS
695rxvt_int16_typedef 692rxvt_int16_typedef
696rxvt_uint16_typedef 693rxvt_uint16_typedef
697rxvt_int32_typedef 694rxvt_int32_typedef
698rxvt_uint32_typedef 695rxvt_uint32_typedef
699rxvt_intp_define 696rxvt_intp_define
1324 NOTE: automatically enabled with --enable-shared 1321 NOTE: automatically enabled with --enable-shared
1325 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1322 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1326 --enable-combining enable composition of base and combining characters 1323 --enable-combining enable composition of base and combining characters
1327 --enable-xft enable xft support on systems that have it 1324 --enable-xft enable xft support on systems that have it
1328 --enable-font-styles enable bold and italic support 1325 --enable-font-styles enable bold and italic support
1329 --enable-xpm-background enable background pixmaps
1330 --enable-afterimage enable integration with libAfterImage for background images 1326 --enable-afterimage enable integration with libAfterImage for background images
1331 --enable-afterstep enable integration with AfterStep window manager
1332 --enable-transparency enable transparent backgrounds 1327 --enable-transparency enable transparent backgrounds
1333 --enable-tinting enable tinting of transparent bg
1334 --enable-fading enable colors fading when off focus 1328 --enable-fading enable colors fading when off focus
1335 --enable-rxvt-scroll enable rxvt style scrollbar 1329 --enable-rxvt-scroll enable rxvt style scrollbar
1336 --enable-next-scroll enable NeXT style scrollbar 1330 --enable-next-scroll enable NeXT style scrollbar
1337 --enable-xterm-scroll enable Xterm style scrollbar 1331 --enable-xterm-scroll enable Xterm style scrollbar
1338 --enable-perl enable embedded perl interpreter 1332 --enable-perl enable embedded perl interpreter
1366 --with-res-class=CLASS use this as the resource class (default: URxvt) 1360 --with-res-class=CLASS use this as the resource class (default: URxvt)
1367 --with-name=NAME set the basename for the installed binaries (default: urxvt) 1361 --with-name=NAME set the basename for the installed binaries (default: urxvt)
1368 --with-term=NAME set the terminal to NAME (default: rxvt) 1362 --with-term=NAME set the terminal to NAME (default: rxvt)
1369 --with-terminfo=PATH set the path to the terminfo tree to PATH 1363 --with-terminfo=PATH set the path to the terminfo tree to PATH
1370 --with-x use the X Window System 1364 --with-x use the X Window System
1371 --with-xpm-includes=DIR use XPM includes in DIR
1372 --with-xpm-library=DIR use XPM library in DIR
1373 --with-xpm use XPM
1374 1365
1375Some influential environment variables: 1366Some influential environment variables:
1376 CC C compiler command 1367 CC C compiler command
1377 CFLAGS C compiler flags 1368 CFLAGS C compiler flags
1378 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a 1369 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
4401 4392
4402 4393
4403 4394
4404support_frills=yes 4395support_frills=yes
4405support_inheritpixmap=yes 4396support_inheritpixmap=yes
4406support_tinting=yes
4407support_fading=yes 4397support_fading=yes
4408support_keepscrolling=yes 4398support_keepscrolling=yes
4409support_selectionscrolling=yes 4399support_selectionscrolling=yes
4410support_mousewheel=yes 4400support_mousewheel=yes
4411support_mouseslipwheel=yes 4401support_mouseslipwheel=yes
4414support_scroll_rxvt=yes 4404support_scroll_rxvt=yes
4415support_scroll_next=yes 4405support_scroll_next=yes
4416support_scroll_xterm=yes 4406support_scroll_xterm=yes
4417support_scroll_plain=yes 4407support_scroll_plain=yes
4418support_xim=yes 4408support_xim=yes
4419support_xpm=yes
4420support_afterimage=yes 4409support_afterimage=yes
4421support_afterstep=yes 4410support_afterstep=yes
4422support_xft=yes 4411support_xft=yes
4423support_unicode3=no 4412support_unicode3=no
4424support_combining=yes 4413support_combining=yes
4443if test "${enable_everything+set}" = set; then 4432if test "${enable_everything+set}" = set; then
4444 enableval=$enable_everything; 4433 enableval=$enable_everything;
4445 if test x$enableval = xno; then 4434 if test x$enableval = xno; then
4446 support_frills=no 4435 support_frills=no
4447 support_inheritpixmap=no 4436 support_inheritpixmap=no
4448 support_tinting=no
4449 support_fading=no 4437 support_fading=no
4450 support_keepscrolling=no 4438 support_keepscrolling=no
4451 support_selectionscrolling=no 4439 support_selectionscrolling=no
4452 support_lastlog=no 4440 support_lastlog=no
4453 support_mousewheel=no 4441 support_mousewheel=no
4459 support_scroll_xterm=no 4447 support_scroll_xterm=no
4460 support_scroll_plain=no 4448 support_scroll_plain=no
4461 support_utmp=no 4449 support_utmp=no
4462 support_wtmp=no 4450 support_wtmp=no
4463 support_xim=no 4451 support_xim=no
4464 support_xpm=no
4465 support_afterimage=no 4452 support_afterimage=no
4466 support_afterstep=no 4453 support_afterstep=no
4467 support_xft=no 4454 support_xft=no
4468 support_unicode3=no 4455 support_unicode3=no
4469 support_combining=no 4456 support_combining=no
4474 codesets= 4461 codesets=
4475 fi 4462 fi
4476 if test x$enableval = xyes; then 4463 if test x$enableval = xyes; then
4477 support_frills=yes 4464 support_frills=yes
4478 support_inheritpixmap=yes 4465 support_inheritpixmap=yes
4479 support_tinting=yes
4480 support_fading=yes 4466 support_fading=yes
4481 support_keepscrolling=yes 4467 support_keepscrolling=yes
4482 support_selectionscrolling=yes 4468 support_selectionscrolling=yes
4483 support_lastlog=yes 4469 support_lastlog=yes
4484 support_mousewheel=yes 4470 support_mousewheel=yes
4490 support_scroll_xterm=yes 4476 support_scroll_xterm=yes
4491 support_scroll_plain=yes 4477 support_scroll_plain=yes
4492 support_utmp=yes 4478 support_utmp=yes
4493 support_wtmp=yes 4479 support_wtmp=yes
4494 support_xim=yes 4480 support_xim=yes
4495 support_xpm=yes
4496 support_afterimage=yes 4481 support_afterimage=yes
4497 support_afterstep=yes 4482 support_afterstep=yes
4498 support_xft=yes 4483 support_xft=yes
4499 support_unicode3=yes 4484 support_unicode3=yes
4500 support_combining=yes 4485 support_combining=yes
4538 support_styles=$enableval 4523 support_styles=$enableval
4539 fi 4524 fi
4540fi 4525fi
4541 4526
4542 4527
4543# Check whether --enable-xpm-background was given.
4544if test "${enable_xpm_background+set}" = set; then
4545 enableval=$enable_xpm_background; if test x$enableval = xyes -o x$enableval = xno; then
4546 support_xpm=$enableval
4547 fi
4548fi
4549
4550
4551# Check whether --enable-afterimage was given. 4528# Check whether --enable-afterimage was given.
4552if test "${enable_afterimage+set}" = set; then 4529if test "${enable_afterimage+set}" = set; then
4553 enableval=$enable_afterimage; if test x$enableval = xyes -o x$enableval = xno; then 4530 enableval=$enable_afterimage; if test x$enableval = xyes -o x$enableval = xno; then
4554 support_afterimage=$enableval 4531 support_afterimage=$enableval
4555 fi 4532 fi
4563 afterimage_config=$withval/afterimage-config 4540 afterimage_config=$withval/afterimage-config
4564 fi 4541 fi
4565fi 4542fi
4566 4543
4567 4544
4568# Check whether --enable-afterstep was given.
4569if test "${enable_afterstep+set}" = set; then
4570 enableval=$enable_afterstep; if test x$enableval = xyes -o x$enableval = xno; then
4571 support_afterstep=$enableval
4572 fi
4573fi
4574
4575 4545
4576# Check whether --enable-transparency was given. 4546# Check whether --enable-transparency was given.
4577if test "${enable_transparency+set}" = set; then 4547if test "${enable_transparency+set}" = set; then
4578 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then 4548 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then
4579 support_inheritpixmap=$enableval 4549 support_inheritpixmap=$enableval
4580 fi
4581fi
4582
4583
4584# Check whether --enable-tinting was given.
4585if test "${enable_tinting+set}" = set; then
4586 enableval=$enable_tinting; if test x$enableval = xyes -o x$enableval = xno; then
4587 support_tinting=$enableval
4588 fi 4550 fi
4589fi 4551fi
4590 4552
4591 4553
4592# Check whether --enable-fading was given. 4554# Check whether --enable-fading was given.
6455 LDFLAGS=$ac_save_LDFLAGS 6417 LDFLAGS=$ac_save_LDFLAGS
6456 6418
6457fi 6419fi
6458 6420
6459 6421
6460
6461AFTERIMAGE_CFLAGS= 6422AFTERIMAGE_CFLAGS=
6462AFTERIMAGE_LIBS= 6423AFTERIMAGE_LIBS=
6463AFTERIMAGE_VERSION= 6424AFTERIMAGE_VERSION=
6464 6425
6465if test x$support_afterimage = xyes; then 6426if test x$support_afterimage = xyes; then
6506echo "${ECHO_T}no" >&6; } 6467echo "${ECHO_T}no" >&6; }
6507fi 6468fi
6508 6469
6509 6470
6510 fi 6471 fi
6472 if test "x$afterimage_config" != "xno" ; then
6511 { echo "$as_me:$LINENO: checking for libAfterImage version >= 1.15" >&5 6473 { echo "$as_me:$LINENO: checking for libAfterImage version >= 1.15" >&5
6512echo $ECHO_N "checking for libAfterImage version >= 1.15... $ECHO_C" >&6; } 6474echo $ECHO_N "checking for libAfterImage version >= 1.15... $ECHO_C" >&6; }
6513 AFTERIMAGE_VERSION=`$afterimage_config --version` 6475 xAFTERIMAGE_VERSION=`$afterimage_config --version`
6514 if test -n $AFTERIMAGE_VERSION ; then 6476 if test -n "$xAFTERIMAGE_VERSION" ; then
6515 AFTERIMAGE_CFLAGS=`$afterimage_config --cflags` 6477 xAFTERIMAGE_CFLAGS=`$afterimage_config --cflags`
6516 AFTERIMAGE_LIBS=`$afterimage_config --libs` 6478 xAFTERIMAGE_LIBS=`$afterimage_config --libs`
6517 if test "x$AFTERIMAGE_LIBS" != "x"; then 6479 if test "x$xAFTERIMAGE_LIBS" != "x"; then
6518 libai_ver_major=`echo $AFTERIMAGE_VERSION | cut -f 1 -d .` 6480 libai_ver_major=`echo $xAFTERIMAGE_VERSION | cut -f 1 -d .`
6519 libai_ver_minor=`echo $AFTERIMAGE_VERSION | cut -f 2 -d .` 6481 libai_ver_minor=`echo $xAFTERIMAGE_VERSION | cut -f 2 -d .`
6520 if test $libai_ver_major -gt 1 -o \( $libai_ver_major -eq 1 -a $libai_ver_minor -ge 15 \); then 6482 if test $libai_ver_major -gt 1 -o \( $libai_ver_major -eq 1 -a $libai_ver_minor -ge 15 \); then
6521 support_afterimage=yes 6483 support_afterimage=yes
6522 fi 6484 AFTERIMAGE_CFLAGS="$xAFTERIMAGE_CFLAGS"
6523 fi 6485 AFTERIMAGE_LIBS="$xAFTERIMAGE_LIBS"
6524 fi 6486 AFTERIMAGE_VERSION="$xAFTERIMAGE_VERSION"
6525
6526 if test "x$support_afterimage" = "xyes"; then
6527 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5
6528echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; }
6529 else
6530 { echo "$as_me:$LINENO: result: no" >&5
6531echo "${ECHO_T}no" >&6; }
6532 fi
6533fi
6534
6535if test x$support_afterimage != xyes -a x$support_xpm = xyes ; then
6536
6537
6538
6539# Initialize some more variables set by options.
6540# The variables have the same names as the options, with
6541# dashes changed to underlines.
6542
6543# If we find XPM, set shell vars xpm_includes and xpm_libraries to the
6544# paths, otherwise set no_xpm=yes.
6545# Uses ac_ vars as temps to allow command line to override cache and checks.
6546{ echo "$as_me:$LINENO: checking for libXpm" >&5
6547echo $ECHO_N "checking for libXpm... $ECHO_C" >&6; }
6548
6549
6550# Check whether --with-xpm_includes was given.
6551if test "${with_xpm_includes+set}" = set; then
6552 withval=$with_xpm_includes; xpm_includes="$withval"
6553else
6554 xpm_includes=NO
6555fi
6556
6557
6558# Check whether --with-xpm_library was given.
6559if test "${with_xpm_library+set}" = set; then
6560 withval=$with_xpm_library; xpm_libraries="$withval"
6561else
6562 xpm_libraries=NO
6563fi
6564
6565
6566# --without-xpm overrides everything else, but does not touch the cache.
6567
6568# Check whether --with-xpm was given.
6569if test "${with_xpm+set}" = set; then
6570 withval=$with_xpm;
6571fi
6572
6573if test "$with_xpm" = no; then
6574 have_xpm=disabled
6575else
6576 if test "${ac_cv_have_xpm+set}" = set; then
6577 echo $ECHO_N "(cached) $ECHO_C" >&6
6578else
6579
6580 vt_xpm_include_X11=no
6581 if test -n "$xpm_includes"; then
6582 vt_xpm_includes=$xpm_includes
6583 else
6584 vt_xpm_includes=NO
6585 fi
6586 if test -n "$xpm_libraries"; then
6587 vt_xpm_libraries=$xpm_libraries
6588 else
6589 vt_xpm_libraries=NO
6590 fi
6591
6592 if test "$vt_xpm_includes" = NO; then
6593 # Guess where to find xpm.h
6594
6595ac_save_CPPFLAGS="$CPPFLAGS"
6596CPPFLAGS="$CPPFLAGS $X_CFLAGS"
6597
6598 # First, try using that file with no special directory specified.
6599cat >conftest.$ac_ext <<_ACEOF
6600/* confdefs.h. */
6601_ACEOF
6602cat confdefs.h >>conftest.$ac_ext
6603cat >>conftest.$ac_ext <<_ACEOF
6604/* end confdefs.h. */
6605#include <X11/xpm.h>
6606_ACEOF
6607if { (ac_try="$ac_cpp conftest.$ac_ext"
6608case "(($ac_try" in
6609 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6610 *) ac_try_echo=$ac_try;;
6611esac
6612eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6613 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
6614 ac_status=$?
6615 grep -v '^ *+' conftest.er1 >conftest.err
6616 rm -f conftest.er1
6617 cat conftest.err >&5
6618 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6619 (exit $ac_status); } >/dev/null && {
6620 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
6621 test ! -s conftest.err
6622 }; then
6623 # We can compile using X headers with no special include directory.
6624vt_xpm_includes=
6625vt_xpm_include_X11=yes
6626else
6627 echo "$as_me: failed program was:" >&5
6628sed 's/^/| /' conftest.$ac_ext >&5
6629
6630 CPPFLAGS="$ac_save_CPPFLAGS"
6631# Look for the header file in a standard set of common directories.
6632 for ac_dir in \
6633 /usr/X11/include \
6634 /usr/X11R6/include \
6635 /usr/X11R5/include \
6636 /usr/X11R4/include \
6637 \
6638 /usr/include/X11 \
6639 /usr/include/X11R6 \
6640 /usr/include/X11R5 \
6641 /usr/include/X11R4 \
6642 \
6643 /usr/local/X11/include \
6644 /usr/local/X11R6/include \
6645 /usr/local/X11R5/include \
6646 /usr/local/X11R4/include \
6647 \
6648 /usr/local/include/X11 \
6649 /usr/local/include/X11R6 \
6650 /usr/local/include/X11R5 \
6651 /usr/local/include/X11R4 \
6652 \
6653 /usr/X386/include \
6654 /usr/x386/include \
6655 /usr/XFree86/include/X11 \
6656 \
6657 /usr/include \
6658 /usr/local/include \
6659 /usr/unsupported/include \
6660 /usr/athena/include \
6661 /usr/local/x11r5/include \
6662 /usr/lpp/Xamples/include \
6663 \
6664 /usr/openwin/include \
6665 /usr/openwin/share/include \
6666 ; \
6667 do
6668 if test -r "$ac_dir/X11/xpm.h"; then
6669 vt_xpm_includes="$ac_dir"
6670 vt_xpm_include_X11=yes
6671 break
6672 else
6673 if test -r "$ac_dir/xpm.h"; then
6674 vt_xpm_includes=$ac_dir
6675 break
6676 fi
6677 fi
6678 done
6679fi
6680
6681rm -f conftest.err conftest.$ac_ext
6682fi
6683
6684if test "$vt_xpm_libraries" = NO; then
6685 # Check for the libraries.
6686
6687 # See if we find them without any special options.
6688 # Don't add to $LIBS permanently.
6689 ac_save_LIBS="$LIBS"
6690 LIBS="$LIBS $X_LIBS -lXpm -lX11"
6691cat >conftest.$ac_ext <<_ACEOF
6692/* confdefs.h. */
6693_ACEOF
6694cat confdefs.h >>conftest.$ac_ext
6695cat >>conftest.$ac_ext <<_ACEOF
6696/* end confdefs.h. */
6697
6698int
6699main ()
6700{
6701XpmReadFileToPixmap()
6702 ;
6703 return 0;
6704}
6705_ACEOF
6706rm -f conftest.$ac_objext conftest$ac_exeext
6707if { (ac_try="$ac_link"
6708case "(($ac_try" in
6709 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6710 *) ac_try_echo=$ac_try;;
6711esac
6712eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6713 (eval "$ac_link") 2>conftest.er1
6714 ac_status=$?
6715 grep -v '^ *+' conftest.er1 >conftest.err
6716 rm -f conftest.er1
6717 cat conftest.err >&5
6718 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6719 (exit $ac_status); } && {
6720 test -z "$ac_cxx_werror_flag" ||
6721 test ! -s conftest.err
6722 } && test -s conftest$ac_exeext &&
6723 $as_test_x conftest$ac_exeext; then
6724 LIBS="$ac_save_LIBS"
6725# We can link libXpm with no special library path.
6726vt_xpm_libraries=
6727else
6728 echo "$as_me: failed program was:" >&5
6729sed 's/^/| /' conftest.$ac_ext >&5
6730
6731 LIBS="$ac_save_LIBS"
6732# First see if replacing the include by lib works.
6733for ac_dir in \
6734 `echo "$vt_xpm_includes" | sed 's,include/X11,lib,;s,include,lib,'` \
6735 /usr/X11/lib \
6736 /usr/X11R6/lib \
6737 /usr/X11R5/lib \
6738 /usr/X11R4/lib \
6739 \
6740 /usr/lib/X11 \
6741 /usr/lib/X11R6 \
6742 /usr/lib/X11R5 \
6743 /usr/lib/X11R4 \
6744 \
6745 /usr/local/X11/lib \
6746 /usr/local/X11R6/lib \
6747 /usr/local/X11R5/lib \
6748 /usr/local/X11R4/lib \
6749 \
6750 /usr/local/lib/X11 \
6751 /usr/local/lib/X11R6 \
6752 /usr/local/lib/X11R5 \
6753 /usr/local/lib/X11R4 \
6754 \
6755 /usr/X386/lib \
6756 /usr/x386/lib \
6757 /usr/XFree86/lib/X11 \
6758 \
6759 /usr/lib \
6760 /usr/local/lib \
6761 /usr/unsupported/lib \
6762 /usr/athena/lib \
6763 /usr/local/x11r5/lib \
6764 /usr/lpp/Xamples/lib \
6765 \
6766 /usr/openwin/lib \
6767 /usr/openwin/share/lib \
6768 ; \
6769do
6770 for ac_extension in a so sl; do
6771 if test -r $ac_dir/libXpm.$ac_extension; then
6772 vt_xpm_libraries=$ac_dir
6773 break 2
6774 fi
6775 done
6776done
6777fi
6778
6779rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
6780 conftest$ac_exeext conftest.$ac_ext
6781fi
6782
6783
6784 if test "$vt_xpm_includes" = NO -o "$vt_xpm_libraries" = NO; then
6785 ac_cv_have_xpm="have_xpm=no"
6786 else
6787 ac_cv_have_xpm="have_xpm=yes \
6788 vt_xpm_includes=$vt_xpm_includes vt_xpm_libraries=$vt_xpm_libraries \
6789 vt_xpm_include_X11=$vt_xpm_include_X11"
6790 fi
6791fi
6792 eval "$ac_cv_have_xpm"
6793fi
6794
6795if test "$have_xpm" != yes; then
6796 { echo "$as_me:$LINENO: result: $have_xpm" >&5
6797echo "${ECHO_T}$have_xpm" >&6; }
6798 no_xpm=yes
6799else
6800 if test "$xpm_includes" != NO; then
6801 if test "$xpm_includes" = "$vt_xpm_includes"; then
6802 if test -r "$xpm_includes/X11/xpm.h"; then
6803 vt_xpm_include_X11=yes
6804 fi
6805 else
6806 vt_xpm_include_X11=no
6807 if test -z "$xpm_includes"; then
6808 cat >conftest.$ac_ext <<_ACEOF
6809/* confdefs.h. */
6810_ACEOF
6811cat confdefs.h >>conftest.$ac_ext
6812cat >>conftest.$ac_ext <<_ACEOF
6813/* end confdefs.h. */
6814#include <X11/xpm.h>
6815_ACEOF
6816if { (ac_try="$ac_cpp conftest.$ac_ext"
6817case "(($ac_try" in
6818 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6819 *) ac_try_echo=$ac_try;;
6820esac
6821eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6822 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
6823 ac_status=$?
6824 grep -v '^ *+' conftest.er1 >conftest.err
6825 rm -f conftest.er1
6826 cat conftest.err >&5
6827 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6828 (exit $ac_status); } >/dev/null && {
6829 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
6830 test ! -s conftest.err
6831 }; then
6832 vt_xpm_include_X11=yes
6833else
6834 echo "$as_me: failed program was:" >&5
6835sed 's/^/| /' conftest.$ac_ext >&5
6836
6837
6838fi
6839
6840rm -f conftest.err conftest.$ac_ext
6841 else
6842 if test -r "$xpm_includes/X11/xpm.h"; then
6843 vt_xpm_include_X11=yes
6844 fi 6487 fi
6845 fi 6488 fi
6846 fi 6489 fi
6847 vt_xpm_includes=$xpm_includes 6490 if test "x$support_afterimage" = "xyes"; then
6491 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5
6492echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; }
6493 else
6494 { echo "$as_me:$LINENO: result: no" >&5
6495echo "${ECHO_T}no" >&6; }
6848 fi 6496 fi
6849 if test "x$xpm_libraries" != xNO; then
6850 vt_xpm_libraries=$xpm_libraries
6851 fi
6852 # Update the cache value to reflect the command line values.
6853 ac_cv_have_xpm="have_xpm=yes \
6854 vt_xpm_includes=$vt_xpm_includes vt_xpm_libraries=$vt_xpm_libraries \
6855 vt_xpm_include_X11=$vt_xpm_include_X11"
6856 eval "$ac_cv_have_xpm"
6857 { echo "$as_me:$LINENO: result: -I$vt_xpm_includes, -L$vt_xpm_libraries" >&5
6858echo "${ECHO_T}-I$vt_xpm_includes, -L$vt_xpm_libraries" >&6; }
6859 if test -n "$vt_xpm_includes"; then
6860 XPM_CPPFLAGS="-DHAVE_LIBXPM"
6861 fi
6862 if test -n "$vt_xpm_includes"; then
6863 XPM_CFLAGS="-I$vt_xpm_includes"
6864 fi
6865 XPM_LIBS="-lXpm"
6866 if test -n "$vt_xpm_libraries"; then
6867 XPM_LIBS="-L$vt_xpm_libraries $XPM_LIBS"
6868 fi
6869 if test "x$vt_xpm_include_X11" = xyes; then
6870
6871cat >>confdefs.h <<\_ACEOF
6872#define XPM_INC_X11 1
6873_ACEOF
6874
6875 fi
6876fi
6877
6878
6879
6880
6881
6882 if test x$no_xpm = xyes; then
6883 support_xpm=needsmanualspecification
6884 fi 6497 fi
6885fi 6498fi
6886 6499
6887{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5 6500{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
6888echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; } 6501echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
11678 11291
11679ac_save_LIBS=$LIBS 11292ac_save_LIBS=$LIBS
11680ac_save_CFLAGS=$CFLAGS 11293ac_save_CFLAGS=$CFLAGS
11681CFLAGS="$CFLAGS $X_CFLAGS" 11294CFLAGS="$CFLAGS $X_CFLAGS"
11682LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11295LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11296if test x$support_xim = xyes; then
11683{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11297 { echo "$as_me:$LINENO: checking for working Xlocale" >&5
11684echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11298echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11685if test "${rxvt_cv_func_xlocale+set}" = set; then 11299if test "${rxvt_cv_func_xlocale+set}" = set; then
11686 echo $ECHO_N "(cached) $ECHO_C" >&6 11300 echo $ECHO_N "(cached) $ECHO_C" >&6
11687else 11301else
11688 if test "$cross_compiling" = yes; then 11302 if test "$cross_compiling" = yes; then
11689 : 11303 :
11690else 11304else
11691 cat >conftest.$ac_ext <<_ACEOF 11305 cat >conftest.$ac_ext <<_ACEOF
11692/* confdefs.h. */ 11306/* confdefs.h. */
11693_ACEOF 11307_ACEOF
11694cat confdefs.h >>conftest.$ac_ext 11308cat confdefs.h >>conftest.$ac_ext
11695cat >>conftest.$ac_ext <<_ACEOF 11309cat >>conftest.$ac_ext <<_ACEOF
11696/* end confdefs.h. */ 11310/* end confdefs.h. */
11697#include <X11/Xlib.h> 11311#include <X11/Xlib.h>
11698#include <stdlib.h> 11312 #include <stdlib.h>
11699main() { 11313 main() {
11700char *p; 11314 char *p;
11701if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p) 11315 if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p)
11702exit (XSupportsLocale() ? 0 : 1); 11316 exit (XSupportsLocale() ? 0 : 1);
11703else 11317 else
11704exit (1);} 11318 exit (1);}
11705_ACEOF 11319_ACEOF
11706rm -f conftest$ac_exeext 11320rm -f conftest$ac_exeext
11707if { (ac_try="$ac_link" 11321if { (ac_try="$ac_link"
11708case "(($ac_try" in 11322case "(($ac_try" in
11709 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 11323 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11721eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 11335eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11722 (eval "$ac_try") 2>&5 11336 (eval "$ac_try") 2>&5
11723 ac_status=$? 11337 ac_status=$?
11724 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11338 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11725 (exit $ac_status); }; }; then 11339 (exit $ac_status); }; }; then
11726 rxvt_cv_func_xlocale=yes 11340 rxvt_cv_func_xlocale=yes
11727else 11341else
11728 echo "$as_me: program exited with status $ac_status" >&5 11342 echo "$as_me: program exited with status $ac_status" >&5
11729echo "$as_me: failed program was:" >&5 11343echo "$as_me: failed program was:" >&5
11730sed 's/^/| /' conftest.$ac_ext >&5 11344sed 's/^/| /' conftest.$ac_ext >&5
11731 11345
11737 11351
11738 11352
11739fi 11353fi
11740{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5 11354{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5
11741echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; } 11355echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; }
11742if test x$support_xim = xyes; then
11743 if test x$rxvt_cv_func_xlocale = xyes; then 11356 if test x$rxvt_cv_func_xlocale = xyes; then
11744 11357
11745cat >>confdefs.h <<\_ACEOF 11358cat >>confdefs.h <<\_ACEOF
11746#define USE_XIM 1 11359#define USE_XIM 1
11747_ACEOF 11360_ACEOF
11748 11361
11362 { echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11363echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11364if test "${rxvt_broken_ximcb+set}" = set; then
11365 echo $ECHO_N "(cached) $ECHO_C" >&6
11366else
11367 cat >conftest.$ac_ext <<_ACEOF
11368
11369 #include <X11/Xlib.h>
11370
11371 void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11372
11373 void f() {
11374 XIMCallback cb;
11375 cb.callback = im_destroy_cb;
11376 }
11377
11378_ACEOF
11379rm -f conftest.$ac_objext
11380if { (ac_try="$ac_compile"
11381case "(($ac_try" in
11382 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11383 *) ac_try_echo=$ac_try;;
11384esac
11385eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11386 (eval "$ac_compile") 2>conftest.er1
11387 ac_status=$?
11388 grep -v '^ *+' conftest.er1 >conftest.err
11389 rm -f conftest.er1
11390 cat conftest.err >&5
11391 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11392 (exit $ac_status); } && {
11393 test -z "$ac_cxx_werror_flag" ||
11394 test ! -s conftest.err
11395 } && test -s conftest.$ac_objext; then
11396 rxvt_broken_ximcb=yes
11397else
11398 echo "$as_me: failed program was:" >&5
11399sed 's/^/| /' conftest.$ac_ext >&5
11400
11401 rxvt_broken_ximcb=no
11402fi
11403
11404rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11405fi
11406{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11407echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11408
11409 if test x$rxvt_broken_ximcb = xyes; then
11410
11411cat >>confdefs.h <<\_ACEOF
11412#define XIMCB_PROTO_BROKEN 1
11413_ACEOF
11414
11415 fi
11749 fi 11416 fi
11750fi 11417fi
11751 11418
11752{ echo "$as_me:$LINENO: checking for working X setlocale" >&5 11419{ echo "$as_me:$LINENO: checking for working X setlocale" >&5
11753echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; } 11420echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; }
12020 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5 11687 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
12021echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;} 11688echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
12022 { (exit 1); exit 1; }; } 11689 { (exit 1); exit 1; }; }
12023fi 11690fi
12024 11691
12025
12026{ echo "$as_me:$LINENO: checking for broken XIM callback" >&5
12027echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
12028if test "${rxvt_broken_ximcb+set}" = set; then
12029 echo $ECHO_N "(cached) $ECHO_C" >&6
12030else
12031 cat >conftest.$ac_ext <<_ACEOF
12032
12033#include <X11/Xlib.h>
12034
12035void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
12036
12037void f() {
12038 XIMCallback cb;
12039 cb.callback = im_destroy_cb;
12040}
12041
12042_ACEOF
12043rm -f conftest.$ac_objext
12044if { (ac_try="$ac_compile"
12045case "(($ac_try" in
12046 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12047 *) ac_try_echo=$ac_try;;
12048esac
12049eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12050 (eval "$ac_compile") 2>conftest.er1
12051 ac_status=$?
12052 grep -v '^ *+' conftest.er1 >conftest.err
12053 rm -f conftest.er1
12054 cat conftest.err >&5
12055 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12056 (exit $ac_status); } && {
12057 test -z "$ac_cxx_werror_flag" ||
12058 test ! -s conftest.err
12059 } && test -s conftest.$ac_objext; then
12060 rxvt_broken_ximcb=yes
12061else
12062 echo "$as_me: failed program was:" >&5
12063sed 's/^/| /' conftest.$ac_ext >&5
12064
12065 rxvt_broken_ximcb=no
12066fi
12067
12068rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
12069fi
12070{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
12071echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
12072
12073if test x$rxvt_broken_ximcb = xyes; then
12074
12075cat >>confdefs.h <<\_ACEOF
12076#define XIMCB_PROTO_BROKEN 1
12077_ACEOF
12078
12079fi
12080 11692
12081 11693
12082 11694
12083 11695
12084 11696
13067cat >>confdefs.h <<\_ACEOF 12679cat >>confdefs.h <<\_ACEOF
13068#define OFF_FOCUS_FADING 1 12680#define OFF_FOCUS_FADING 1
13069_ACEOF 12681_ACEOF
13070 12682
13071fi 12683fi
13072if test x$support_tinting = xyes; then
13073
13074cat >>confdefs.h <<\_ACEOF
13075#define TINTING 1
13076_ACEOF
13077
13078fi
13079if test x$support_inheritpixmap = xyes; then 12684if test x$support_inheritpixmap = xyes; then
13080 12685
13081cat >>confdefs.h <<\_ACEOF 12686cat >>confdefs.h <<\_ACEOF
13082#define ENABLE_TRANSPARENCY 1 12687#define ENABLE_TRANSPARENCY 1
13083_ACEOF 12688_ACEOF
13095cat >>confdefs.h <<\_ACEOF 12700cat >>confdefs.h <<\_ACEOF
13096#define SELECTION_SCROLLING 1 12701#define SELECTION_SCROLLING 1
13097_ACEOF 12702_ACEOF
13098 12703
13099fi 12704fi
12705if test x$support_frills = xyes; then
12706
12707cat >>confdefs.h <<\_ACEOF
12708#define ENABLE_FRILLS 1
12709_ACEOF
12710
12711fi
13100if test x$support_mousewheel = xyes; then 12712if test x$support_mousewheel = xyes; then
13101 12713
13102cat >>confdefs.h <<\_ACEOF 12714cat >>confdefs.h <<\_ACEOF
13103#define MOUSE_WHEEL 1 12715#define MOUSE_WHEEL 1
13104_ACEOF 12716_ACEOF
13109cat >>confdefs.h <<\_ACEOF 12721cat >>confdefs.h <<\_ACEOF
13110#define MOUSE_SLIP_WHEELING 1 12722#define MOUSE_SLIP_WHEELING 1
13111_ACEOF 12723_ACEOF
13112 12724
13113fi 12725fi
13114if test x$support_xpm = xyes -o x$support_afterimage = xyes ; then
13115
13116cat >>confdefs.h <<\_ACEOF
13117#define XPM_BACKGROUND 1
13118_ACEOF
13119
13120fi
13121
13122if test x$support_afterimage = xyes; then 12726if test x$support_afterimage = xyes; then
13123 12727
13124cat >>confdefs.h <<\_ACEOF 12728cat >>confdefs.h <<\_ACEOF
13125#define HAVE_AFTERIMAGE 1 12729#define HAVE_AFTERIMAGE 1
13126_ACEOF 12730_ACEOF
13127 12731
13128fi
13129
13130if test x$support_afterstep = xyes; then
13131 12732
13132cat >>confdefs.h <<\_ACEOF 12733cat >>confdefs.h <<\_ACEOF
13133#define AFTERSTEP_INTEGRATION 1 12734#define BG_IMAGE_FROM_FILE 1
13134_ACEOF 12735_ACEOF
13135 12736
13136fi 12737fi
12738
13137 12739
13138if test x$support_scroll_rxvt = xyes; then 12740if test x$support_scroll_rxvt = xyes; then
13139 12741
13140cat >>confdefs.h <<\_ACEOF 12742cat >>confdefs.h <<\_ACEOF
13141#define RXVT_SCROLLBAR 1 12743#define RXVT_SCROLLBAR 1
13409 13011
13410 13012
13411 13013
13412 13014
13413 13015
13414
13415if test x$support_perl = xyes; then
13416 support_frills=yes
13417fi
13418
13419if test x$support_frills = xyes; then
13420
13421cat >>confdefs.h <<\_ACEOF
13422#define ENABLE_FRILLS 1
13423_ACEOF
13424
13425fi
13426 13016
13427 13017
13428 13018
13429 13019
13430 13020
14214X_CFLAGS!$X_CFLAGS$ac_delim 13804X_CFLAGS!$X_CFLAGS$ac_delim
14215X_PRE_LIBS!$X_PRE_LIBS$ac_delim 13805X_PRE_LIBS!$X_PRE_LIBS$ac_delim
14216X_LIBS!$X_LIBS$ac_delim 13806X_LIBS!$X_LIBS$ac_delim
14217X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 13807X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
14218afterimage_config!$afterimage_config$ac_delim 13808afterimage_config!$afterimage_config$ac_delim
14219XPM_CPPFLAGS!$XPM_CPPFLAGS$ac_delim
14220XPM_CFLAGS!$XPM_CFLAGS$ac_delim
14221XPM_LIBS!$XPM_LIBS$ac_delim
14222rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim 13809rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim
14223rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim 13810rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim
14224rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim 13811rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim
14225rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim 13812rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim
14226rxvt_intp_define!$rxvt_intp_define$ac_delim 13813rxvt_intp_define!$rxvt_intp_define$ac_delim
14235PERL_O!$PERL_O$ac_delim 13822PERL_O!$PERL_O$ac_delim
14236AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim 13823AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
14237AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 13824AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
14238include_stdint_h!$include_stdint_h$ac_delim 13825include_stdint_h!$include_stdint_h$ac_delim
14239include_stdarg_h!$include_stdarg_h$ac_delim 13826include_stdarg_h!$include_stdarg_h$ac_delim
13827include_stdlib_h!$include_stdlib_h$ac_delim
13828include_unistd_h!$include_unistd_h$ac_delim
13829include_string_h!$include_string_h$ac_delim
14240_ACEOF 13830_ACEOF
14241 13831
14242 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 13832 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14243 break 13833 break
14244 elif $ac_last_try; then 13834 elif $ac_last_try; then
14276 13866
14277 13867
14278ac_delim='%!_!# ' 13868ac_delim='%!_!# '
14279for ac_last_try in false false false false false :; do 13869for ac_last_try in false false false false false :; do
14280 cat >conf$$subs.sed <<_ACEOF 13870 cat >conf$$subs.sed <<_ACEOF
14281include_stdlib_h!$include_stdlib_h$ac_delim
14282include_unistd_h!$include_unistd_h$ac_delim
14283include_string_h!$include_string_h$ac_delim
14284include_fcntl_h!$include_fcntl_h$ac_delim 13871include_fcntl_h!$include_fcntl_h$ac_delim
14285include_util_h!$include_util_h$ac_delim 13872include_util_h!$include_util_h$ac_delim
14286include_assert_h!$include_assert_h$ac_delim 13873include_assert_h!$include_assert_h$ac_delim
14287include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 13874include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14288include_sys_select_h!$include_sys_select_h$ac_delim 13875include_sys_select_h!$include_sys_select_h$ac_delim
14291include_time_h!$include_time_h$ac_delim 13878include_time_h!$include_time_h$ac_delim
14292LIBOBJS!$LIBOBJS$ac_delim 13879LIBOBJS!$LIBOBJS$ac_delim
14293LTLIBOBJS!$LTLIBOBJS$ac_delim 13880LTLIBOBJS!$LTLIBOBJS$ac_delim
14294_ACEOF 13881_ACEOF
14295 13882
14296 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 13; then 13883 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then
14297 break 13884 break
14298 elif $ac_last_try; then 13885 elif $ac_last_try; then
14299 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 13886 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14300echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 13887echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14301 { (exit 1); exit 1; }; } 13888 { (exit 1); exit 1; }; }
14730 Install path: ${prefix}/bin 14317 Install path: ${prefix}/bin
14731 Compiler: $CXX 14318 Compiler: $CXX
14732 Compiler flags: $CXXFLAGS 14319 Compiler flags: $CXXFLAGS
14733 Linker: $LINKER" 14320 Linker: $LINKER"
14734 14321
14735if test x$support_xpm = xyes; then
14736 echo " Xpm library: $XPM_LIBS"
14737fi
14738
14739if test x$support_afterimage = xyes; then
14740 echo " AfterImage support: yes"
14741fi
14742
14743if test x$support_afterstep = xyes; then
14744 echo " AfterStep integration: yes"
14745fi
14746
14747if test x$term != x; then 14322if test x$term != x; then
14748 echo " set TERM to: $term" 14323 echo " set TERM to: $term"
14749fi 14324fi
14750if test x$terminfo != x; then 14325if test x$terminfo != x; then
14751 echo " set TERMINFO to: $terminfo" 14326 echo " set TERMINFO to: $terminfo"
14755if test x$RESFALLBACK != x; then 14330if test x$RESFALLBACK != x; then
14756 echo " resource class fallback: $RESFALLBACK" 14331 echo " resource class fallback: $RESFALLBACK"
14757fi 14332fi
14758echo 14333echo
14759echo " embedded perl: $support_perl" 14334echo " embedded perl: $support_perl"
14335echo " libafterimage: $support_afterimage"
14760echo 14336echo
14761if test x$support_xpm = xneedsmanualspecification; then
14762 echo ".----------------------------------------------------------------."
14763 echo ". WARNING: --enable-xpm-background was specified however the ."
14764 echo ". XPM includes files and libraries could not be found. ."
14765 echo ". XPM backgrounds are now being DISABLED! If you want ."
14766 echo ". to use them you should rerun configure with the ."
14767 echo ". appropriate --with-xpm-includes=/path/to/xpm/includes ."
14768 echo ". and --with-xpm-library=/path/to/xpm/library lines. ."
14769 echo ".----------------------------------------------------------------."
14770fi
14771if test x$support_xim = xyes -a x$rxvt_cv_func_xlocale = xno; then 14337if test x$support_xim = xyes -a x$rxvt_cv_func_xlocale = xno; then
14772 echo ".----------------------------------------------------------------." 14338 echo ".----------------------------------------------------------------."
14773 echo ". WARNING: --enable-xim was specified however the locale support ." 14339 echo ". WARNING: --enable-xim was specified however the locale support ."
14774 echo ". functions could not be found. ." 14340 echo ". functions could not be found. ."
14775 echo ". XIM is now being DISABLED! ." 14341 echo ". XIM is now being DISABLED! ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines